/***************************************************************************
                          vector.cpp  -  description
                             -------------------
    begin                : Thu Aug 2 2001
    copyright            : (C) 2001 by Marc Bartsch
    email                : marc.bartsch@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "vector.h"

Vector::Vector(): GeoLine()
{
	ID = ID_vector;
  identificator = "Vector";

	endCoords.drawArrow = true;

	int temp[] = { ID_geoPoint, 2, -1 };
	convertParams( temp, sizeof( temp ) / sizeof( temp[0] ) );
}

Vector::~Vector()
{
}

void Vector::move()
{
	startCoords.coords = parents.first()->getCoordinates();
	endCoords.coords = parents.next()->getCoordinates();

	startCoords.printCoords = startCoords.coords;
	endCoords.printCoords = endCoords.coords;

	computeArrow();
}

